# IceFaceBlockPhysicalAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class IceFaceBlockPhysicalAbAttr

Takes no damage from the first hit of a physical move. This is used in Ice Face ability.

#### Hierarchy (view full)

- ReceivedMoveDamageMultiplierAbAttr
  - IceFaceBlockPhysicalAbAttr

- Defined in src/data/ability.ts:3821

#####
Index

### Constructors

constructor

### Properties

condition
multiplier
showAbility

### Methods

addCondition
apply
applyPreDefend
getCondition
getTriggerMessage

## Constructors

### constructor

- new IceFaceBlockPhysicalAbAttr(condition, multiplier): IceFaceBlockPhysicalAbAttr

- #### Parameters

  - condition: PokemonDefendCondition
  - multiplier: number

  #### Returns IceFaceBlockPhysicalAbAttr

  Overrides ReceivedMoveDamageMultiplierAbAttr.constructor

  - Defined in src/data/ability.ts:3824

## Properties

### `Protected` condition

condition: PokemonDefendCondition

Inherited from ReceivedMoveDamageMultiplierAbAttr.condition

- Defined in src/data/ability.ts:303

### `Private` multiplier

multiplier: number

- Defined in src/data/ability.ts:3822

### showAbility

showAbility: boolean

Inherited from ReceivedMoveDamageMultiplierAbAttr.showAbility

- Defined in src/data/ability.ts:128

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from ReceivedMoveDamageMultiplierAbAttr.addCondition

  - Defined in src/data/ability.ts:147

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from ReceivedMoveDamageMultiplierAbAttr.apply

  - Defined in src/data/ability.ts:135

### applyPreDefend

- applyPreDefend(pokemon, passive, attacker, move, cancelled, args): boolean

- Applies the Ice Face pre-defense ability to the Pokémon. Removes BattlerTagType.ICE_FACE when hit by physical attack and is in Ice Face form.

  #### Parameters

  - pokemon: default

    The Pokémon with the Ice Face ability.

  - passive: boolean

    Whether the ability is passive.

  - attacker: default

    The attacking Pokémon.

  - move: default

    The move being used.

  - cancelled: BooleanHolder

    A holder for whether the move was cancelled.

  - args: any[]

    Additional arguments.

  #### Returns boolean

  - Whether the immunity was applied.

  Overrides ReceivedMoveDamageMultiplierAbAttr.applyPreDefend

  - Defined in src/data/ability.ts:3842

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from ReceivedMoveDamageMultiplierAbAttr.getCondition

  - Defined in src/data/ability.ts:143

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- Gets the message triggered when the Pokémon avoids damage using the Ice Face ability.

  #### Parameters

  - pokemon: default

    The Pokémon with the Ice Face ability.

  - abilityName: string

    The name of the ability.

  - `Rest` ...args: any[]

    Additional arguments.

  #### Returns string

  - The trigger message.

  Overrides ReceivedMoveDamageMultiplierAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:3859